---
title: FeaturePolicy.allowedFeatures()
slug: Web/API/FeaturePolicy/allowedFeatures
tags:
  - API
  - Directive
  - Feature Policy
  - Feature-Policy
  - FeaturePolicy
  - Reference
---
<p>{{APIRef("Feature Policy API")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>allowedFeatures()</code></strong> method of the {{DOMxRef("FeaturePolicy")}} interface returns a list of directive names of all features allowed by the feature policy.enables introspection of individual directives of the Feature Policy it is run on. As such, <code>allowedFeatures()</code> method returns a subset of directives returned by {{DOMxRef("FeaturePolicy.features", "features()")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const allowed = <em>FeaturePolicy</em>.allowedFeatures()
</pre>

<h3 id="Parameters">Parameters</h3>

<p id="Feature_name">None.</p>

<h3 id="Return_value">Return value</h3>

<p>An array of strings representing the Feature Policy directive names that are allowed by the Feature Policy this method is called on.</p>

<h2 id="Example">Example</h2>

<p>The followin example logs all the allowed directives for the current document. Please note that these features might be restricted by the Permissions API, if the user did not grant the corrsponding permission yet.</p>

<pre class="brush: js">// First, get the Feature Policy object
const featurePolicy = document.featurePolicy

// Then query feature for specific
const allowed = featurePolicy.allowedFeatures()

for (const directive of allowed){
  console.log(directive)
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Feature Policy","","allowsFeature")}}</td>
   <td>{{Spec2("Feature Policy")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FeaturePolicy.allowedFeatures")}}</p>
